#!/bin/bash

function get_addr()
{
	found=0
	t=0
	clean=1
	echo -n " 正在获取网络信息(gettting network information)..."
	while [ ${found} -eq 0 ]
	do
		if_list=$(sudo ifconfig | grep UP | grep -v lo | awk -F":" '{print $1}')
		for l in ${if_list}
		do
			ip=$(sudo ifconfig $l | grep inet | grep -v inet6 | awk -F' ' '{print $2}')
			mac=$(sudo ifconfig $l | grep ether | awk -F' ' '{print $2}')
			if [ ! -z "${ip}" ]; then
				if [ ${clean} -eq 1 ]; then
					echo "$(tput cuu1)$(tput el)"
					clean=0
				fi
				echo "  [$l] IP：${ip}  MAC：${mac}"
				found=1
			fi
		done
	done
}

function system_info()
{
	echo "******************* 欢迎来到Toybrick世界(Welcom to Toybrick) *******************"
	echo "【技术支持和资料获取(HowTo)】"
	echo "  官方网站(Offcial Website)：     http://t.rock-chips.com "
	echo "  论坛地址(Forum)：               http://t.rock-chips.com/forum.php "
	echo "  维基教程(WIKI)：                http://t.rock-chips.com/wiki.php "
	echo "  RKNN仓库(RKNN-Related Package): https://github.com/airockchip"
	echo "  技术交流QQ群(Tech QQ GroupID)： 649972558"
	echo "  RKNN交流QQ群(RKNN QQ GroupID)： 1025468710"
	echo "【批量采购(Bulk Purchase)】请洽(contact)：      toybrick@rock-chips.com"
	echo "【项目合作(Project Cooperation)】请洽(contact)：toybrick@rock-chips.com"
	echo "【硬件信息(Hardware Information)】"
	echo "  型号(Model)：$(getprop dev.model)"
	echo "  SN号(SN)：   $(toybrick_vendor get sn 14 | awk -F' ' '{print $2}')"
	echo "【网卡信息(Network Information)】"
	get_addr
	echo "********************************************************************************"
	echo "请按回车键退出(Press ENTER to quit)："
}

system_info
read
